package test;


import com.softmoore.math.MatrixUtil;
import com.softmoore.util.PrintUtil;


public class TestMatrixMultiplication
  {
    public static void main(String[] args)
      {
        // test first with matrices of double
        double a1[][] =
          {
            { 1.0, 0.0, 0.0 },
            { 0.0, 1.0, 0.0 },
            { 0.0, 0.0, 1.0 }
          };

        double b1[][] =
          {
            { 1.0, 2.0, 3.0 },
            { 4.0, 5.0, 6.0 },
            { 7.0, 8.0, 9.0 }
          };

        double c1[][] = MatrixUtil.multiply(a1, b1);
        
        PrintUtil.printMatrix(a1, 1);
        PrintUtil.printMatrix(b1, 1);
        PrintUtil.printMatrix(c1, 1);        

        // test second with matrices of Double
        Double a2[][] =
          {
            { 1.0, 0.0, 0.0 },
            { 0.0, 1.0, 0.0 },
            { 0.0, 0.0, 1.0 }
          };

        Double b2[][] =
          {
            { 1.0, 2.0, 3.0 },
            { 4.0, 5.0, 6.0 },
            { 7.0, 8.0, 9.0 }
          };

        Double c2[][] = MatrixUtil.multiply(a2, b2);
            
        PrintUtil.printMatrix(a2, 1);
        PrintUtil.printMatrix(b2, 1);
        PrintUtil.printMatrix(c2, 1);        
      }
  }
